View Issue Details

IDProjectCategoryView StatusLast Update
0000340XMB1Bugspublic2010-02-24 17:57
ReportermiqrogrooveAssigned Tomiqrogroove 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9.11 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000340: Type-o Affecting Smiley Disable Option
DescriptionThis ticket covers the previously undocumented patch in revision 2102. An equal sign was missing in two places, causing an unintended literal assignment. This issue does not require a critical patch and should be considered resolved now.
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision2102

Activities

2010-01-23 22:54

 

Test.d.svn003.tmp.diff (1,335 bytes)
Index: post.php
===================================================================
--- post.php	(revision 2101)
+++ post.php	(revision 2102)
@@ -290,7 +290,7 @@
 $bBBcodeOnForThisPost = ($forum['allowbbcode'] == 'yes' And $bbcodeoff == 'no');
 $bIMGcodeOnForThisPost = ($bBBcodeOnForThisPost And $forum['allowimgcode'] == 'yes');
 $bSmilieInserterEnabled = ($SETTINGS['smileyinsert'] == 'on' And $forum['allowsmilies'] == 'yes');
-$bSmiliesOnForThisPost = ($forum['allowsmilies'] == 'yes' And $smileyoff = 'no');
+$bSmiliesOnForThisPost = ($forum['allowsmilies'] == 'yes' And $smileyoff == 'no');
 
 if (isset($subaction) && $subaction == 'spellcheck' && (isset($spellchecksubmit) || isset($updates_submit))) {
     $sc = TRUE;
@@ -1267,7 +1267,7 @@
                 $postinfo['subject'] = stripslashes($postinfo['subject']);
                 $bBBcodeOnForThisPost = ($forum['allowbbcode'] == 'yes' And $postinfo['bbcodeoff'] == 'no');
                 $bIMGcodeOnForThisPost = ($bBBcodeOnForThisPost And $forum['allowimgcode'] == 'yes');
-                $bSmiliesOnForThisPost = ($forum['allowsmilies'] == 'yes' And $postinfo['smileyoff'] = 'no');
+                $bSmiliesOnForThisPost = ($forum['allowsmilies'] == 'yes' And $postinfo['smileyoff'] == 'no');
             }
 
             // Fill $attachment
Test.d.svn003.tmp.diff (1,335 bytes)

Issue History

Date Modified Username Field Change
2010-01-23 22:33 miqrogroove New Issue
2010-01-23 22:34 miqrogroove SVN Revision => 2102
2010-01-23 22:34 miqrogroove Status new => resolved
2010-01-23 22:34 miqrogroove Fixed in Version => 1.9.11.07
2010-01-23 22:34 miqrogroove Resolution open => fixed
2010-01-23 22:34 miqrogroove Assigned To => miqrogroove
2010-01-23 22:54 miqrogroove File Added: Test.d.svn003.tmp.diff
2010-01-24 00:11 miqrogroove Fixed in Version 1.9.11.07 => 1.9.11.08
2010-01-24 00:11 miqrogroove Target Version 1.9.11.07 => 1.9.11.08
2010-02-24 17:57 miqrogroove Status resolved => closed